Bug 429582 - RHEL5 cmirror tracker: failure to get flow control state
RHEL5 cmirror tracker: failure to get flow control state
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cmirror (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks: 430797
  Show dependency treegraph
 
Reported: 2008-01-21 14:22 EST by Corey Marthaler
Modified: 2010-01-11 21:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:27:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2008-01-21 14:22:00 EST
Description of problem:

[root@hayes-03 tmp]# lvcreate -m 1 -n mirror3 -L 10G hayes
  Logical volume "mirror3" created


/var/log/messages:
[...]
Jan 21 13:18:20 hayes-03 clogd[27698]: Cluster log created
(LVM-gxXJrVYRGYERzrQWJtyTZZud23eG7Ck0liDDiuWLK2MWldOIogMc
EV0fWP9rfLhl)
Jan 21 13:18:20 hayes-03 clogd[27698]: Failed to get flow control state.  Reason: 9
Jan 21 13:18:20 hayes-03 clogd[27698]: Unable to send request to cluster:
Invalid exchange
Jan 21 13:18:20 hayes-03 clogd[27698]: Bad callback on local/4
[...]

The mirror does get created however:
  mirror3            hayes      mwi-a- 10.00G                    mirror3_mlog 
44.65 mirror3_mimage_0(0),mirror3_mimage_1(0)
  [mirror3_mimage_0] hayes      iwi-ao 10.00G                                  
     /dev/etherd/e1.1p1(2560)       
  [mirror3_mimage_1] hayes      iwi-ao 10.00G                                  
     /dev/etherd/e1.1p3(2560)       
  [mirror3_mlog]     hayes      lwi-ao  4.00M                                  
     /dev/etherd/e1.1p5(2561)

Version-Release number of selected component (if applicable):
2.6.18-62.el5
cmirror-1.1.5-4.el5
kmod-cmirror-0.1.2-1.el5.scratch.1

How reproducible:
Everytime
Comment 1 RHEL Product and Program Management 2008-02-04 10:18:03 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Corey Marthaler 2008-02-06 18:03:05 EST
I have not seen the 'flow control' messages on any of the latest builds, marking
verified in cmirror-1.1.11-1.el5/kmod-cmirror-0.1.5-2.el5.
Comment 6 errata-xmlrpc 2009-01-20 16:27:03 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0158.html

Note You need to log in before you can comment on or make changes to this bug.